/* RESET */
* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

/* BODY + POZADINA */
body {
    font-family: Arial, sans-serif;
    color: white;

    background: url("slika29.JPG") no-repeat center center/cover;
    position: relative;
    background-attachment: fixed;
}

/* TAMNI OVERLAY */
body::before {
    content: "";
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;

    background: rgba(0, 0, 0, 0.75);
    z-index: -1;
}

/* HEADER */
header {
  


    position: sticky;
    top: 0;
    z-index: 1000;

    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 20px 50px;

    background: rgba(0, 0, 0, 0.6);
    backdrop-filter: blur(10px);

}

/* LOGO */
.logo {
    font-size: 22px;
    font-weight: bold;
}

.logo span {
    color: #ffd000;
}

/* NAV */
nav a {
    margin: 0 15px;
    text-decoration: none;
    color: #ccc;
    transition: 0.3s;
}

nav a:hover {
    color: white;
}

/* CALL BUTTON */
.call-btn {
    background: #ffd000;
    color: black;
    padding: 10px 20px;
    border-radius: 25px;
    text-decoration: none;
    font-weight: bold;
    transition: 0.3s;
}

.call-btn:hover {
    background: white;
}

/* HERO (GLASS CARD) */
.hero {
    display: flex;
    justify-content: space-between;
    align-items: center;

    margin: 50px;
    padding: 50px;

    background: rgba(10, 20, 40, 0.6);
    border-radius: 20px;
  /*  backdrop-filter: blur(15px);  */

    box-shadow: 0 0 40px rgba(0,0,0,0.5);
    transition: 0.3s;
}

.hero:hover {
    transform: scale(1.01);
}

/* LEFT */
.left {
    max-width: 50%;
}

/* BADGE */
.badge {
    display: inline-block;
    background: rgba(255, 208, 0, 0.1);
    color: #ffd000;
    padding: 8px 15px;
    border-radius: 20px;
    margin-bottom: 20px;
    font-size: 14px;
}

/* TITLE */
h1 {
    font-size: 48px;
    line-height: 1.2;
}

h1 span {
    color: #ffd000;
}

/* TEXT */
p {
    margin: 20px 0;
    color: #ccc;
    font-size: 18px;
}

/* BUTTONS */
.buttons {
    margin-top: 20px;
}

.btn {
    padding: 15px 25px;
    border-radius: 10px;
    text-decoration: none;
    margin-right: 15px;
    display: inline-block;
    transition: 0.3s;
}

/* PRIMARY */
.primary {
    background: #ffd000;
    color: black;
    font-weight: bold;
}

.primary:hover {
    background: white;
}

/* SECONDARY */
.secondary {
    border: 1px solid #555;
    color: white;
}

.secondary:hover {
    background: #111;
}

/* INFO */
.info {
    margin-top: 25px;
    color: #bbb;
    font-size: 14px;
}

/* IMAGE */
.right img {
    width: 500px;
    border-radius: 20px;
    border: 2px solid rgba(255,255,255,0.1);
}

/* RESPONSIVE */
@media (max-width: 900px) {
    .hero {
        flex-direction: column;
        text-align: center;
        margin: 20px;
        padding: 30px;
    }

    .left {
        max-width: 100%;
    }

    .right img {
        width: 100%;
        margin-top: 30px;
    }

    header {
        flex-direction: column;
        gap: 15px;
    }
}


/* GALERIJA */
.gallery {
    margin: 50px;
    padding: 40px;

    background: rgba(10, 20, 40, 0.6);
    border-radius: 20px;
    backdrop-filter: blur(15px);

    box-shadow: 0 0 40px rgba(0,0,0,0.5);
}

.gallery h2 {
    text-align: center;
    margin-bottom: 30px;
    font-size: 32px;
}

/* GRID */
.gallery-grid {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(250px, 1fr));
    gap: 20px;
}

/* SLIKE */
.gallery-grid img {
    width: 100%;
    height: 200px;
    object-fit: cover;

    border-radius: 15px;
    cursor: pointer;

    transition: 0.3s;
}

/* HOVER */
.gallery-grid img:hover {
    transform: scale(1.05);
}



/* LIGHTBOX */
#lightbox {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;

    background: rgba(0,0,0,0.9);
    display: none;

    justify-content: center;
    align-items: center;
    z-index: 999;
}

#lightbox img {
    max-width: 90%;
    max-height: 80%;
    border-radius: 15px;
}

#lightbox .close {
    position: absolute;
    top: 30px;
    right: 40px;
    font-size: 40px;
    color: white;
    cursor: pointer;
}